package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 自然驾驶场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneNaturalParam extends PageVO implements Serializable {

    private String naturalId;              // （唯一）
    private String naturalName;  //场景编号
    private List<String> weather;  //天气
    private List<String> backlight;  //逆光
    private List<String> lightChange;  //隧道光纤变化
    private List<String> roadType ; //道路类型
    private List<String> roadMatrrial ; //路面材质
    private List<String> drivewayNum ; //车道数量
    private List<String> drivewayType ; //车道类型
    private List<String> roadFlatness  ;//道路平坦程度
    private List<String> roadCurvature ; //道路弯曲程度
    private List<String> ramp ; //匝道
    private List<String> intersectionType; //路口类型
    private List<String> planeIntersection ; //道路与铁路平面交叉
    private List<String> bridge  ;//桥梁
    private List<String> tunnel  ;//隧道
    private List<String> speedLimit ; //速度标志
    private List<String> minSpeedLimit ; //最低速度标志
    private List<String> noEntry  ;//禁止通行
    private List<String> noStopping ; //禁止停车
    private List<String> leftLaneLine ; //左侧车道线
    private List<String> rightLaneLine ; //右侧车道线
    private List<String> conductorMarking ; //导线标线及标志
    private List<String> pedestrianCrossing ; //人行横道
    private List<String> trafficLight ; //交通信号灯
    private List<String> decelerationMarking ; //减速标线
    private List<String> pavementCondition ; //路面状况
    private List<String> naturalDisaster ; //自然灾害
    private List<String> roadSafetySigns  ;//道路施工安全标识
    private List<String> safetyWarningBoard  ;//三角安全警示牌
    private List<String> trafficAccident ; //交通事故
    private List<String> patency ; //通畅情况
    private List<String> specialVehicleYield  ;//特种车辆让行
    private List<String> violation ; //违规
    private List<String> doubleFlashingCar ; //双闪车辆
    private List<String> selfBehavior  ;//自车行为
    private List<String> targetBehavior ; //目标行为
    private String share ; //是否分析  1为分享

    // private String path ; //文件所在文件夹路径
    private String videoAddress ; //视频地址
    private String osgbAddress  ;//
    private String xodrAddress ; //
    private String xoscAddress ; //
    private String jsonAddress ; //
    private String videoPreview;//视频预览地址
    private String[] ids ; //回显数组
    private String createUserId ; //创建人id

}