//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.css.simulation.resource.common.util.processbar;

import com.css.simulation.resource.common.controller.RedisController;

import java.io.PrintStream;
import java.time.LocalDateTime;

public class ProgressBar {
    private ProgressState progress;
    private ProgressThread target;
    private Thread thread;

    public ProgressBar(RedisController redisController, String task, long initialMax) {
        this(redisController, task, initialMax, 1000, System.err);
    }


    public ProgressBar(RedisController redisController, String task, long initialMax, int updateIntervalMillis, PrintStream os) {
        this.progress = new ProgressState(task, initialMax);
        this.target = new ProgressThread(this.progress, (long)updateIntervalMillis, os, redisController);
        this.thread = new Thread(this.target);
    }

    public ProgressBar start() {
        this.progress.startTime = LocalDateTime.now();
        this.thread.start();
        return this;
    }

    public ProgressBar stepBy(long n) {
        this.progress.stepBy(n);
        return this;
    }

    public ProgressBar stepTo(long n) {
        this.progress.stepTo(n);
        return this;
    }

    public ProgressBar step() {
        this.progress.stepBy(1L);
        return this;
    }

    public ProgressBar maxHint(long n) {
        this.progress.maxHint(n);
        return this;
    }

    public ProgressBar stop() {
        this.target.kill();

        try {
            this.thread.join();
            this.target.consoleStream.print("\n");
            this.target.consoleStream.flush();
        } catch (InterruptedException var2) {
        }

        return this;
    }

    public ProgressBar setExtraMessage(String msg) {
        this.progress.setExtraMessage(msg);
        return this;
    }

    public long getCurrent() {
        return this.progress.getCurrent();
    }

    public long getMax() {
        return this.progress.getMax();
    }

    public String getTask() {
        return this.progress.getTask();
    }

    public String getExtraMessage() {
        return this.progress.getExtraMessage();
    }
}
