//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.css.simulation.resource.common.util.processbar;

import api.common.pojo.param.RedisParameter;
import com.css.simulation.resource.common.controller.RedisController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import java.io.PrintStream;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.time.Duration;


public class ProgressThread implements Runnable {
    private final RedisController redisController;
    volatile boolean running;
    ProgressState progress;
    long updateInterval;
    PrintStream consoleStream;

//    @Autowired
//    RedisController redisController;

//    @Autowired
//    StringRedisTemplate redisTemplate;


    ProgressThread(ProgressState progress, long updateInterval, PrintStream consoleStream,RedisController redisController) {
        this.progress = progress;
        this.updateInterval = updateInterval;
        this.consoleStream = consoleStream;
        this.redisController = redisController;
    }

    double progress() {
        return this.progress.max == 0L ? 0.0D : (double)this.progress.current / (double)this.progress.max;
    }


    /**
     * 保存文件进度
     */
    void refresh() {

        //保存进度
        Long progressMax = this.progress.max;
        Long progressCurrent = this.progress.current;
        String task = this.progress.task;
//        System.out.println("上传进度："+task);
        Double radio = new BigDecimal(Double.valueOf(progressCurrent)/Double.valueOf(progressMax)).setScale(2, RoundingMode.UP).doubleValue();
//        System.out.println("上传进度："+radio);
        RedisParameter redisParameter = new RedisParameter();
        redisParameter.setKey(task);
        redisParameter.setValue(radio.toString());
        redisParameter.setMinutes(1440);//24小时清除

        this.redisController.set(redisParameter);
//        redisTemplate.opsForValue().set(redisParameter.getKey(), redisParameter.getValue(), Duration.ofMinutes(redisParameter.getMinutes()));


    }

    void kill() {
        this.running = false;
    }

    public void run() {
        this.running = true;

        try {
            while(this.running) {
                this.refresh();
                Thread.sleep(this.updateInterval);
            }

            this.refresh();
        } catch (InterruptedException var2) {
        }

    }
}
